New metatrader 4 compatible indicators - page 106

Jaquanburton
327
Jaquanburton  

Can anyone fix the attached indicator for the new mt4 build, please?

William Snyder
9492
William Snyder  
Jaquanburton:
Can anyone fix the attached indicator for the new mt4 build, please?

Jaquanburton, made it new mt4 compatible.

Jaquanburton
327
Jaquanburton  
mrtools:
Jaquanburton, made it new mt4 compatible.

Thanks a lot man!

lucmat
257
lucmat  

Hi everyone

May someone help me?

I can't open these indicators in the new version of mt4?

3c_jjrsx.mq43c_jjrsx.ex43c_jmacd.ex43c_jmacd.mq4

Files:
lucmat
257
lucmat  
lucmat:
Hi everyone

May someone help me?

I can't open these indicators in the new version of mt4?

3c_jjrsx.mq43c_jjrsx.ex43c_jmacd.ex43c_jmacd.mq4

...and...

3c_jmacdf.ex43c_jmacdx.mq43c_jmacdf.mq43c_jmacdx.ex4

Files:
lucmat
257
lucmat  
Mladen Rakic
160094
Mladen Rakic  

First, all the mqh files that were used by those jurik series indicators must be rewritten (completely - some boolean expression are going to be a hell to resolve). And only then the indicators can be adapted. For changing mqh files it would take at least a week or two and even then it would not be sure that they work OK (see the metatrader 5 examples from kositsin that do not work any more with newer metatrader 5 builds)

Guess that if kositsin is not updating those, there is a reason for that (to have all that made work on new metatrader 4 it would take at least a couple of months - due to the way they were written originally - kositsin was never known for code simplicity, quite the oposite)

And then, in the end, they would need to be corrected from some errors (quite a few jurik series indicators are repainting - one of the reasons I stoped using them a few years ago and decided to make my own versions)

myname
3231
myname  

Why don't you guys use ex4 files of that jurik series compiled using old builds as long as they last? If it takes a couple of months I dn't think that anybody will adapt them now

Mladen Rakic
160094
Mladen Rakic  
nbtrading:
Why don't you guys use ex4 files of that jurik series compiled using old builds as long as they last? If it takes a couple of months I dn't think that anybody will adapt them now

Not all things will work the way they used to

Risky not to know exactly what can happen (or not)

test
1232
test  
mladen:
Not all things will work the way they used to Risky not to know exactly what can happen (or not)

you are right

using old ex4 does not guarantee at all that it will work as before. Some things are going to work completely different and some are not going to work at all